"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pclnDesignSystem = require("pcln-design-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var HeaderWrapper = (0, _styledComponents["default"])(_pclnDesignSystem.Flex).withConfig({
  displayName: "ModalHeader__HeaderWrapper",
  componentId: "jkop2n-0"
})(["height:40px;"]);
var Title = (0, _styledComponents["default"])(_pclnDesignSystem.Text).withConfig({
  displayName: "ModalHeader__Title",
  componentId: "jkop2n-1"
})(["display:flex;align-items:center;"]);
var StyledCloseButton = (0, _styledComponents["default"])(_pclnDesignSystem.CloseButton).withConfig({
  displayName: "ModalHeader__StyledCloseButton",
  componentId: "jkop2n-2"
})(["height:24px;width:24px;svg{vertical-align:top;}&:focus{background-color:", ";outline:none;}"], function (props) {
  return props.theme.palette.primary.dark;
});

var ModalHeader = function ModalHeader(_ref) {
  var bg = _ref.bg,
      color = _ref.color,
      onClose = _ref.onClose,
      title = _ref.title;
  return /*#__PURE__*/_react["default"].createElement(HeaderWrapper, {
    align: "center",
    alignItems: "center",
    color: color,
    bg: bg,
    px: 3
  }, title && /*#__PURE__*/_react["default"].createElement(Title, {
    fontSize: 1,
    bold: true
  }, title), onClose && /*#__PURE__*/_react["default"].createElement(StyledCloseButton, {
    onClick: onClose,
    ml: "auto"
  }));
};

ModalHeader.displayName = ModalHeader;
ModalHeader.propTypes = {
  bg: (0, _pclnDesignSystem.deprecatedPropType)('color'),
  onClose: _propTypes["default"].func,
  color: _propTypes["default"].string,
  title: _propTypes["default"].string
};
ModalHeader.defaultProps = {
  bg: 'blue',
  color: 'white'
};
var _default = ModalHeader;
exports["default"] = _default;